%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}
%define revision 483


Name:           netbook-launcher
Version:        2.1.19
Release:        %mkrel 0.%{revision}bzr.1
License:        GPLv3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          System/GUI
Summary:        A clutter-based desktop launcher, typically used on netbooks
URL:            https://launchpad.net/netbook-remix
Source0:        %{name}-r%{revision}bzr.tar.xz
Source1:        %{name}.desktop
Source2:        %{name}.png
#Patch1:		make_cancel_button_logout_work.patch
#Patch2:		configure_use_new_clutk_launcher.patch
BuildRequires:	clutter-gtk-devel libGConf2-devel gnome-desktop-devel intltool
BuildRequires:	gnome-menus-devel pango-devel libwnck-devel libgnomeui2-devel
BuildRequires:  dbus-glib-devel libxres1-devel libstartup-notification-1-devel
BuildRequires:  libdbus-glib-1_2-devel clutter-devel clutter-gtk-devel
Requires:       gnome-power-manager
Requires:	%{libname} = %{version}-%{release}
Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun):GConf2
Obsoletes:	netbook-launcher-mude < %version-%release
Obsoletes:	netbook-launcher < %version-%release
Provides:	netbook-launcher = %version-%release


%description
Netbook Launcher is a desktop launcher that uses the clutter UI library.
It is commonly being used on netbook desktops with a resolution of 1024x600 pixels 
and also supposed to support usage on touchscreens. 
It follows the xdg spec standards from freedesktop.org for the Desktop menu layout.

%package -n %{libname}
Summary:	Libraries for %{name}
%description -n %{libname}
Libraries for %{name}

%package -n %{develname}
Summary:	Header files for %{name}
Requires:	%{libname} = %{version}-%{release}
%description -n %{develname}
Header files for %{name}

%prep
%setup -q -n %{name}-r%{revision}bzr
#%patch1 -p1
#%patch2 -p0

%build
./autogen.sh
make clean
make distclean
%configure
%make

%install
%makeinstall_std
%find_lang %{name} 

%__mkdir_p %{buildroot}/%{_datadir}/applications
%__install %{SOURCE1} %{buildroot}/%{_datadir}/applications

%__mkdir_p %{buildroot}/%{_datadir}/pixmaps
%__install %{SOURCE2} %{buildroot}/%{_datadir}/pixmaps

%clean
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#%pre
#if [ "$1" -gt 1 ] ; then
#export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
#gconftool-2 --makefile-uninstall-rule \
#            %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
#fi
#
#%post
#export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
#gconftool-2 --makefile-install-rule \
#            %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
#
#%preun
#if [ "$1" -eq 0 ] ; then
#export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
#gconftool-2 --makefile-uninstall-rule \
#            %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
#fi
#

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING TODO
%config(noreplace) %{_sysconfdir}/gconf/schemas/netbook-launcher.schemas
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
#%{_datadir}/desktop-directories/Favorites.directory
%{_datadir}/pixmaps/%{name}.png
%{_sysconfdir}/xdg/autostart/netbook-launcher.desktop

%files -n %{develname}
%{_includedir}/netbook-launcher
%{_libdir}/pkgconfig/netbook-launcher.pc
%{_libdir}/libnetbook-launcher.la
%{_libdir}/libnetbook-launcher.so

%files -n %{libname}
%{_libdir}/libnetbook-launcher.so.0*

%changelog
* Mon Jun 07 2010 Oliver Burger <rpm@mandrivauser.de> 2.1.19-0.483bzr.1mud2010.1
- revision 483 from launchpad bzr

* Sat Jun 05 2010 Oliver Burger <rpm@mandrivauser.de> 2.1.18-2mud2010.1
- changed name back to netbook-launcher

* Sat Jun 05 2010 Oliver Burger <rpm@mandrivauser.de> 2.1.18-1mud2010.1
- new version 2.1.18

* Tue Oct 13 2009 tigger-gg <rpm@mandrivauser.de> 1.6.21-2mud2010.1
- Rebuild for Mandriva 2010.0

* Tue Oct 06 2009 tigger-gg <rpm@mandrivauser.de> 1.6.21-2mud2009.1
- new version 1.6.21
- corrected spec

* Sun Sep 13 2009 tigger-gg <rpm@mandrivauser.de> 1.6.21-1mud2009.1
- new version 1.6.21

* Tue Aug 11 2009 tigger-gg <rpm@mandrivauser.de> 1.6.20-3mud2009.1
- add %{oname}.desktop

* Mon Aug 10 2009 Oliver Burger <rpm@mandrivauser.de> 1.6.20-2mud2009.1
- rebuild for i586
- obsoletes ubuntu style netbook-launcher
- added BuildRequires

* Mon Aug 10 2009 tigger-gg <rpm@mandrivauser.de> 1.6.20-1mud2009.1
- changed Distributions icon and %name

* Sat Jul 04 2009 Oliver Burger <rpm@mandrivauser.de>
- initial package for Mandriva Linux
- based upon OpenSuSE package
